## r-base 3.2.3

=== DESCRIPTION ===
Package: nlme
Version: 3.1-122
Date: 2015-07-18
Priority: recommended
Title: Linear and Nonlinear Mixed Effects Models
Authors@R: c(person("José", "Pinheiro", role = "aut", comment = "S version"),
             person("Douglas", "Bates", role = "aut", comment = "up to 2007"),
             person("Saikat", "DebRoy", role = "ctb", comment = "up to 2002"),
             person("Deepayan", "Sarkar", role = "ctb", comment = "up to 2005"),
             person("EISPACK authors", role = "ctb", comment = "src/rs.f"),
	     person("R-core", email = "R-core@R-project.org",
                    role = c("aut", "cre")))
Description: Fit and compare Gaussian linear and nonlinear mixed-effects models.
Depends: graphics, stats, R (>= 3.0.0)
Imports: lattice
Suggests: Hmisc, MASS
LazyData: yes
ByteCompile: yes
Encoding: UTF-8
License: GPL (>= 2)
BugReports: http://bugs.r-project.org
NeedsCompilation: yes
Packaged: 2015-08-18 14:36:47 UTC; luke
Author: José Pinheiro [aut] (S version),
  Douglas Bates [aut] (up to 2007),
  Saikat DebRoy [ctb] (up to 2002),
  Deepayan Sarkar [ctb] (up to 2005),
  EISPACK authors [ctb] (src/rs.f),
  R-core [aut, cre]
Maintainer: R-core <R-core@R-project.org>
Repository: CRAN
Date/Publication: 2015-08-19 11:34:26

=== src/gnuwin32/Makefile ===
R_HOME = ../..

## first time through MkRules will not exist.

ifeq ($(wildcard MkRules?local),MkRules.local)
include MkRules.local
endif

include MkRules.rules
include ../../share/make/vars.mk

MK = $(MAKE) --no-print-directory

all:
	@$(MK) MkRules
	@if test -f  ../../SVN-REVISION ; then \
	  cp ../../SVN-REVISION ../../SVN-REVISION.bak ; \
	fi
	@$(MK) rbuild
	@$(MK) -C ../library -f Makefile.win all WIN=$(WIN)
	@$(MK) -C ../library -f Makefile.win docs
	@$(MK) NEWSdocs htmldocs docfiles
	@$(MK)  -C ../../po -f Makefile.win

bytecode: bytecode-base bytecode-recommended

bytecode-base:
	@$(MK) MkRules
	@if test -f  ../../SVN-REVISION ; then \
	  cp ../../SVN-REVISION ../../SVN-REVISION.bak ; \
	fi
	@$(MK) rbuild
	@$(MK) -C ../library -f Makefile.win bytecode WIN=$(WIN)
	@$(MK) -C ../library -f Makefile.win docs
	@$(MK) NEWSdocs htmldocs docfiles
	@$(MK)  -C ../../po -f Makefile.win


rpackages:
	@$(MK) -C ../library -f Makefile.win all WIN=$(WIN) EXT_LIBS="$(EXT_LIBS)"
	@$(MK) -C ../library -f Makefile.win docs


cairodevices:
ifneq "$(CAIRO_HOME)" ""
	@$(MK) -C ../library/grDevices/src/cairo -f Makefile.win all \
	  WIN=$(WIN) CAIRO_HOME=$(CAIRO_HOME)
endif

ifeq ($(wildcard MkRules?local),MkRules.local)
MkRules: MkRules.local MkRules.rules
	@cat MkRules.local MkRules.rules > MkRules
else
MkRules: MkRules.rules
	@cat MkRules.rules > MkRules
endif

CFLAGS = -O3 -Wall -pedantic $(EOPTS)
FFLAGS = -O3 $(EOPTS)
ifdef DEBUG
 CFLAGS += $(G_FLAG)
 FFLAGS += $(G_FLAG)
 DLLFLAGS =
else
 DLLFLAGS = -s
endif


R-DLLFLAGS = -mwindows
LIBEXTRAS = -L"$(EXT_LIBS)"/lib$(R_ARCH) -lpcre -lz -lbz2 -llzma
ifdef USE_ICU
LIBEXTRAS += -L"$(ICU_PATH)"/lib$(R_ARCH) $(ICU_LIBS)
endif

dllversion-RESFLAGS = -I../include
CSOURCES = \
  console.c dynload.c editor.c embeddedR.c extra.c malloc.c \
  opt.c pager.c preferences.c psignal.c rhome.c rt_complete.c \
  rui.c run.c shext.c sys-win32.c system.c dos_wglob.c
OBJS = $(CSOURCES:.c=.o) dllversion.o
ifeq "$(WIN)" "32"
 OBJS += e_pow.o
endif
MAINLIBS = ../main/libmain.a ../appl/libappl.a ../nmath/libnmath.a
EXTRALIBS = getline/gl.a ../extra/xdr/libxdr.a \
   ../extra/intl/libintl.a ../extra/trio/libtrio.a ../extra/tzone/libtz.a \
   ../extra/tre/libtre.a

R-DLLLIBS = $(OPENMP) -L. $(FLIBS) -lRblas -L../../$(IMPDIR) -lRgraphapp \
  -lRiconv -lcomctl32 -lversion $(LIBEXTRAS)


.PHONY:  clean veryclean rlibs fixfiles front-ends rmodules


CPPFLAGS = -I../include -I. -I../extra -DHAVE_CONFIG_H -DR_DLL_BUILD
extra-CPPFLAGS = -I../library/grDevices/src

Rpwd.exe: front-ends/Rpwd.exe
	$(CP) $< $@

front-ends/Rpwd.exe:
	$(MK) -C front-ends Rpwd

## watch out: R.dll and Rblas.dll depend on each other.
rbuild:
	@$(MK) fixfiles
	@$(MK) -C ../include -f Makefile.win
	@$(MK) -C ../scripts -f Makefile.win
ifdef USE_IMPLIBS
	@$(MK) libRiconv.dll.a
endif
	@$(MK) libRblas.dll.a
	@$(MK) ../../$(BINDIR)/R.dll
ifdef USE_IMPLIBS
	@$(MK) implibs
endif
	@$(MK) Rblas
	@$(MK) front-ends COPYRIGHTS rmodules fixed/fixdesc


rlibs:
	$(MK) -C ../extra/intl CFLAGS='$(CFLAGS)' -f Makefile.win
	$(MK) -C ../appl CFLAGS='$(CFLAGS)' FFLAGS='$(FFLAGS)' -f Makefile.win
	$(MK) -C ../nmath CFLAGS='$(CFLAGS)' FFLAGS='${FFLAGS}' -f Makefile.win
	$(MK) -C ../main CFLAGS='$(CFLAGS)' FFLAGS='$(FFLAGS)' malloc-DEFS='$(malloc-DEFS)' -f Makefile.win
	$(MK) -C ./getline CFLAGS='$(CFLAGS)'
	@for ex in graphapp xdr tre trio tzone win_iconv ; do \
	  $(MK) -C ../extra/$${ex} CFLAGS='$(CFLAGS)' -f Makefile.win || exit 1; \
	done

rmodules:
	@$(MKDIR) -p ../../modules$(R_ARCH)
	$(MK) -C ../modules -f Makefile.win \
	  CFLAGS='$(CFLAGS)' FFLAGS='$(FFLAGS)'

COPYRIGHTS: ../../doc/COPYRIGHTS COPYRIGHTS.win
	cat $^ > $@


fixfiles: Rpwd.exe
	@$(MKDIR) -p ../../$(BINDIR)
	@$(MK) -C ./fixed
ifdef USE_LIBCURL
	@if test -f "$(CURL_PATH)/etc/curl-ca-bundle.crt"; then \
	  $(CP) -p "$(CURL_PATH)/etc/curl-ca-bundle.crt" ../../etc; \
	fi
endif

fixed/fixdesc:
	@sh fixed/GETDESC $(R_PKGS_BASE) translations

dllversion.o: ../include/Rversion.h

## Rdll.hide has decoration which 64-bit builds lack
ifeq "$(WIN)" "64"
R.dll: $(OBJS) $(MAINLIBS) $(EXTRALIBS)
	@$(ECHO) EXPORTS > R.def
	@$(NM) $^ | $(SED) -n  $(SYMPAT) | LC_COLLATE=C $(SORT) | \
	  uniq $(NM_FILTER) > R0.def
	@$(SED) -e's/@.*//' Rdll.hide | LC_COLLATE=C $(SORT) > R1.def
	@LC_COLLATE=C comm -23 R0.def R1.def >> R.def
	$(DLL) -shared $(DLLFLAGS) $($*-DLLFLAGS) -o $@ R.def $^ $($*-DLLLIBS) $(DLLLIBS)
	@$(RM) R.def R0.def R1.def
else
R.dll: $(OBJS) $(MAINLIBS) $(EXTRALIBS)
	@$(ECHO) EXPORTS > R.def
	@$(NM) $^ | $(SED) -n  $(SYMPAT) | LC_COLLATE=C $(SORT) | uniq > R0.def
	@LC_COLLATE=C $(SORT) Rdll.hide > R1.def
	@LC_COLLATE=C comm -23 R0.def R1.def >> R.def
	$(DLL) -shared $(DLLFLAGS) $($*-DLLFLAGS) -o $@ R.def $^ $($*-DLLLIBS) $(DLLLIBS)
	@$(RM) R.def R0.def R1.def
endif

R.exp: $(OBJS) $(MAINLIBS) $(EXTRALIBS)
	@$(ECHO) LIBRARY R.dll > R.exp
	@$(ECHO) EXPORTS >> R.exp
	@$(NM) $^ | $(SED) -n $(SYMPAT) | LC_COLLATE=C $(SORT) | \
	  uniq $(NM_FILTER) > R0.def
	@LC_COLLATE=C comm -23 R0.def Rdll.hide >> R.exp
	@$(RM) R0.def


Rdll: makeMakedeps libRblas.dll.a ../../$(BINDIR)/R.dll

../../$(BINDIR)/R.dll: FORCE
	@$(MK) fixfiles
	@$(MK) -C ../include -f Makefile.win
	@$(MK) rlibs
	@$(MK) makeMakedeps
	@$(MK) R.dll
	@$(MKDIR) -p ../../$(BINDIR)
	$(CP) R.dll ../../$(BINDIR)

FORCE:

implibs: libR.dll.a libRblas.dll.a
	@$(MKDIR) -p ../../lib
	@$(CP) $^ ../../lib

libR.dll.a: R.exp
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname R.dll \
	  --input-def $< --output-lib $@

libRiconv.dll.a: unicode/iconv.def
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname Riconv.dll \
	  --input-def $< --output-lib $@


front-ends:
	$(MK) -C front-ends

../extra/tre/libtre.a:
	$(MK) -C ../extra/tre -f Makefile.win

../extra/trio/libtrio.a:
	$(MK) -C ../extra/trio -f Makefile.win

NEWSdocs:
	@$(MK) -C ../../doc -f Makefile.win

htmldocs:
	@$(ECHO)
	@$(ECHO) "------ Making HTML documentation ------"
	@$(MK) -C ../../doc/manual -f Makefile.win html


#                          ===== BLAS ======

Rblas:
	@$(MK) -C ../extra/blas -f Makefile.win FFLAGS='$(FFLAGS)'

Rblas-clean:
	@$(MK) -C ../extra/blas -f Makefile.win clean

libRblas.dll.a:  ../extra/blas/Rblas.def
	@$(DLLTOOL) $(DLLTOOLFLAGS) --dllname Rblas.dll \
	  --input-def $< --output-lib $@


#                          ===== cleaning ======

## used in installer/Makefile
PKGDIR = ../library
pkgclean-%:
	@(cd $(PKGDIR)/$*/src; rm -f *.d *.o *.dll *_res.rc Makedeps)

EXTRA_DIRS = blas graphapp intl tre trio tzone xdr win_iconv

clean: cleanwin
	@$(MAKE) -C ../library -f Makefile.win clean
	$(RM) -f ../*/*.o ../*/*.a *.a ../*/*.d ../*/Makedeps fixed/fixdesc
	@for d in $(EXTRA_DIRS); do \
	  $(MAKE) -C ../extra/$${d} -f Makefile.win clean; \
	done
	-$(MK) -C ../../doc/manual -f Makefile.win distclean
	-$(MK) -C ../nmath/standalone -f Makefile.win distclean
	-$(MK) -C ../modules -f Makefile.win clean
	-$(MK) -C ../../tests -f Makefile.win clean
	-$(MK) -C ../library/Recommended -f Makefile.win clean
	$(RM) -f ../library/methods/all.R ../../etc/curl-ca-bundle.crt

distclean: clean
	@for d in $(EXTRA_DIRS); do \
	  $(MAKE) -C ../extra/$${d} -f Makefile.win distclean; \
	done
	@$(MAKE) -C ../../tests -f Makefile.win distclean
	$(RM) -R ../../bin ../../include ../../lib ../../library ../../modules
	$(RM) ../include/config.h ../include/iconv.h ../include/psignal.h \
	../include/Rconfig.h ../include/Rversion.h ../include/Rmath.h \
	../include/libintl.h ../include/trioremap.h
	$(RM) ../library/*/src/*.o ../library/*/src/*.a
	$(RM) ../library/*/src/*.d ../library/*/src/Makedeps
	$(RM) ../library/*/src/*.dll
	$(RM) ../library/*/src/windows/*.o ../library/*/src/windows/*.a
	$(RM) ../library/*/src/windows/*.d ../library/*/src/windows/Makedeps
	$(RM) ../library/*/src/windows/*.dll
	$(RM) -R ../library/*/check
	$(RM) ../library/*/tests/*.ps ../library/*/tests/*.pdf
	$(RM) ../library/tcltk/src/tcl$(TCL_VERSION).def \
	../library/tcltk//src/tk$(TCL_VERSION).def
	$(RM) R.exp COPYRIGHTS
	$(RM) ../../doc/html/index.html \
	../../doc/html/packages.html ../../doc/html/rwin.html \
	../../doc/html/rw-FAQ.html ../../doc/html/NEWS.html \
	../../doc/NEWS.rds ../../doc/NEWS ../../doc/NEWS.pdf \
	../../doc/CHANGES.rds ../../doc/html/CHANGES.html
	$(RM) ../../etc/Makeconf ../../etc/Rconsole ../../etc/Rdevga \
	../../etc/Rprofile.site ../../etc/rgb.txt ../../etc/Rcmd_environ \
	../../tests/*.Rout ../../tests/*.Rout.fail
	$(RM) -R ../../etc/i386 ../../etc/x64 # do both sub-archs
	$(RM) -R ../../share/zoneinfo
	$(MAKE) -C fixed distclean
	$(MAKE) -C ../include -f Makefile.win distclean
	-$(MAKE) -C installer distclean
	@for pkg in $(R_PKGS_BASE) translations; do \
	  $(RM) ../library/$${pkg}/DESCRIPTION; \
	done
	$(RM) ../../SVN-REVISION.bak
	$(RM) ../../doc/manual/rw-FAQ
	$(MAKE) -C cran clean
	$(RM) -R ../library/.vignettes # it gets left behind if there is an error
	$(RM) -R ../../share/locale # relic of earlier versions
	$(RM) MkRules Rpwd.exe # do this last of all

veryclean: distclean
	$(RM) ../../doc/FAQ ../../doc/RESOURCES ../../doc/NEWS.rds \
	  ../../doc/html/resources.html ../../doc/html/NEWS.html \
	  ../../SVN-REVISION # not in SVN sources

cleanwin: MkRules fixfiles
	$(RM) *.o *.dll *.a *~ \#*\# .RData .Rhistory Makedeps *.d
	$(MAKE) -C ../extra/graphapp -f Makefile.win clean
	$(MAKE) -C fixed clean
	$(MAKE) -C getline clean
	$(MAKE) -C front-ends clean
	$(MAKE) -C ../library/grDevices/src/cairo -f Makefile.win clean WIN=$(WIN)
	-$(MAKE) -C installer clean


#                          ===== testing ======

check check-devel check-all check-recommended:
	@$(MK) -C ../../tests -f Makefile.win $@

#                          ===== documentation ======

pdfdocs manuals:
	@$(MK) -C ../../doc/manual -f Makefile.win clean
	@$(MK) -C ../../doc/manual -f Makefile.win

R_EXE = ../../$(BINDIR)/Rterm.exe --vanilla --slave

## must come after recommended
vignettes:
	@$(MK) -C ../library -f Makefile.win vignettes


## ===================== Maintainer targets ========================

RVER-PAT = $(shell version=`cut -d' ' -f1 ../../VERSION | sed -n 1p`; if test "`cut -f2 -d' ' ../../VERSION`" = "Patched"; then version=`echo $${version} | sed 's/\.[0-9]*$$//'`; echo "$${version}-patched"; else echo "$${version}"; fi)

CRANREC = cran.r-project.org::CRAN/src/contrib/$(RVER-PAT)/Recommended

## Use -c here to avoid re-downloading the same versions of files
## A recent rsync seems to need -p
rsync-recommended:
	@(cd ../library; \
	  rsync --timeout=60 -rcvpC --delete \
	    --exclude=Makefile.in --exclude=Makefile.win --exclude=.cvsignore \
	    --include=*.tar.gz --exclude=*.tgz --exclude=*.ts \
	    --exclude=".svn" $(CRANREC) . )
	@$(RM) ../library/Recommended/*.tgz
	@(cd ../library/Recommended; for i in ${R_PKGS_RECOMMENDED}; do cp -p $${i}*.tar.gz $${i}.tgz ; done)

link-recommended:
	@$(RM) ../library/Recommended/*.tgz
	@(cd ../library/Recommended; for i in ${R_PKGS_RECOMMENDED} ; do cp -p $${i}*.tar.gz $${i}.tgz ; done)


recommended:
	@$(ECHO) "--- Making recommended packages"
	@$(MK) -C ../library/Recommended -f Makefile.win

bytecode-recommended:
	@$(ECHO) "--- Making and compiling recommended packages"
	@rm ../library/Recommended/*.ts
	@R_COMPILE_PKGS=1 R_COMPILER_SUPPRESS_ALL=1 \
	  $(MK) -C ../library/Recommended -f Makefile.win

RVER-MAJOR-MINOR = $(shell echo `cut -d'.' -f1,2 ../../VERSION`)
CRANEXT = cran.r-project.org::CRAN/bin/windows/extsoft/$(RVER-MAJOR-MINOR)/

rsync-extsoft:
	($(MKDIR) -p ../../extsoft; \
	cd ../../extsoft; \
	rsync --timeout=60 -rcvp --delete $(CRANEXT) . ) 


docfiles:
	@$(MK) -C ../../doc/manual -f Makefile.win FAQ


EXTRA_PKGS=
rinstaller:
	@$(MAKE) -C installer EXTRA_PKGS='$(EXTRA_PKGS)'
	@$(MAKE) -C installer clean

crandir:
ifeq "$(WIN)" "64"
	$(MAKE) -C cran all
endif

distribution:
	@$(MK) all
	@$(MK) cairodevices
	@$(MK) recommended
	@$(MK) vignettes
	@$(MK) manuals
	@$(MK) rinstaller
	@$(MK) crandir
	@$(RM) -f ../../SVN-REVISION.bak

## Builds what is needed in a 32-bit build to copy to 64/32-bit installer

=== src/COLAMD/Source/Makefile ===
include $(MkInclude)

PKG_CPPFLAGS = -I../Include -I../../SuiteSparse_config

LIB = ../../COLAMD.a

lib: $(LIB)

colamd_l.o: colamd.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -I../Include -DDLONG -c colamd.c -o $@

$(LIB): colamd_global.o colamd.o colamd_l.o
	$(AR) -rucs $(LIB) colamd_global.o colamd.o colamd_l.o

mostlyclean: clean

clean:
	@-rm -rf .libs _libs $(LIB)
	@-rm -f *.o

=== src/gnuwin32/front-ends/Makefile ===
include ../MkRules
R_HOME = ../../..

CFLAGS = -O3 -Wall -pedantic
ifdef DEBUG
 CFLAGS += $(G_FLAG)
 LINKFLAGS =
 DLLFLAGS =
else
 LINKFLAGS = -s
 DLLFLAGS = -s
endif
CPPFLAGS = -I../../include $(arch_DEFS)

ifeq "$(WIN)" "32"
## Increase stack size to 16Mb
LARGE_STACK = -Wl,--stack=0x1000000
## allow 32-bit builds to address over 2Gb
LARGE_ADDR = -Wl,--large-address-aware
else
## Increase stack size to 64Mb
LARGE_STACK = -Wl,--stack=0x4000000
endif

rcmdfn-CFLAGS = -DBINDIR='"$(BINDIR)"'

.PHONY : all makeMakedeps

all: makeMakedeps \
     $(R_HOME)/$(BINDIR)/Rgui.exe $(R_HOME)/$(BINDIR)/Rterm.exe \
     $(R_HOME)/$(BINDIR)/Rcmd.exe  $(R_HOME)/$(BINDIR)/RSetReg.exe  \
     $(R_HOME)/$(BINDIR)/R.exe\
     $(R_HOME)/$(BINDIR)/Rscript.exe $(R_HOME)/$(BINDIR)/open.exe \
     $(R_HOME)/$(BINDIR)/Rfe.exe \
     $(R_HOME)/bin/R.exe $(R_HOME)/bin/Rscript.exe 

$(R_HOME)/$(BINDIR)/Rgui.exe: Rgui.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@

$(R_HOME)/$(BINDIR)/Rterm.exe: Rterm.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@	

$(R_HOME)/$(BINDIR)/Rcmd.exe: Rcmd.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@

$(R_HOME)/$(BINDIR)/RSetReg.exe: RSetReg.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@

$(R_HOME)/$(BINDIR)/R.exe: R.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@	

$(R_HOME)/$(BINDIR)/Rfe.exe: Rfe.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@

$(R_HOME)/bin/R.exe: Rfe.exe
	$(MKDIR) -p $(R_HOME)/bin
	$(CP) $^ $@	

$(R_HOME)/bin/Rscript.exe: Rfe.exe
	$(MKDIR) -p $(R_HOME)/bin
	$(CP) $^ $@	

$(R_HOME)/$(BINDIR)/Rscript.exe: Rscript.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@	

$(R_HOME)/$(BINDIR)/open.exe: open.exe
	$(MKDIR) -p $(R_HOME)/$(BINDIR)
	$(CP) $^ $@	

rgui-CPPFLAGS = -DWin32
rterm-CPPFLAGS = -DWin32

## -luser32 -lkernel32 -ladvapi32 -lshell32 are now standard
Rgui-LIBS = -L../../../$(IMPDIR) -lR -lRgraphapp
Rscript-LIBS = -L../../../$(IMPDIR) -lR -lRgraphapp
Rterm-LIBS = -L../../../$(IMPDIR) -lR -lRgraphapp

Rgui-LINKFLAGS = -mwindows $(LARGE_ADDR) $(LARGE_STACK)
Rterm-LINKFLAGS = $(LARGE_ADDR) $(LARGE_STACK)
Rscript-LINKFLAGS = $(LARGE_ADDR) $(LARGE_STACK)

Rgui.exe: graphappmain.o rgui.o rgico.o
Rterm.exe: graphappmain.o rterm.o rtico.o

ifneq "$(WIN)" "64"
rcico.o: Rcmd.exe.manifest
rgico.o: Rgui32.manifest
rsico.o: Rscript.exe.manifest
rtico.o: Rterm32.manifest
else
RESFLAGS = -DWN64
rcico.o: Rcmd64.exe.manifest
rtico.o: Rterm64.manifest
rsico.o: Rscript64.exe.manifest
rgico.o: Rgui64.manifest
endif

Rcmd.exe: rcmd.o ../rhome.o ../shext.o rcico.o rcmdfn.o Renviron.o

R.exe: R.o ../rhome.o ../shext.o rcico.o rcmdfn.o Renviron.o

Rfe.exe: Rfe.o ../rhome.o rcico.o

RSetReg.exe: RSetReg.o ../rhome.o rcico.o

Rscript.o: ../../unix/Rscript.c ../../include/Rversion.h
	$(CC) $(CFLAGS) -DBINDIR='"$(BINDIR)"' -I. -I../../include -DHAVE_CONFIG_H -c $< -o $@

Rscript.exe: Rscript.o rsico.o 

## Used only in writing etc/.../Makeconf
Rpwd:
	$(MAKE) -C ../../include -f Makefile.win version
	$(MAKE) Rpwd.exe

Rpwd.exe: rpwd.o rcico.o

rcmd.o R.o rgui.o rterm.o RSetReg.o rgico.o rtico.o rcico.o rsico.c: ../../include/Rversion.h

open.o: open.c
open.exe: open.o

clean:
	$(RM) *.o *.obj *.exe *~ *.exp *.dll *.lib *.a *.d Makedeps

CSOURCES = $(filter-out R.c rcmd.c rpwd.c rtest.c, $(wildcard *.c))
DEPS = $(CSOURCES:.c=.d)

makeMakedeps: $(DEPS)
	@$(RM) Makedeps
ifneq ($(strip $(DEPS)),)
	@cat $(DEPS) >> Makedeps
endif

-include Makedeps

=== src/gnuwin32/installer/Makefile ===
# Makefile for R for Windows Installers

include ../MkRules

## Formerly in MkRules
FIND = find

R_HOME = ../../..
include $(R_HOME)/share/make/vars.mk

## use this to install other packages from main library
EXTRA_PKGS =

## Default display mode, 0=MDI, 1=SDI
MDISDI = 0

## Default help style, 0=plain text, 1=HTML
HelpStyle = 1

## Used to set Registry entries
Producer = R-core

ifeq "$(WIN)" "64"
ifneq ($(strip $(HOME32)),)
SUFF = win
else
SUFF = win64
endif
else
SUFF = win32
endif

FULLVERSION=`cat ../../../VERSION`
RPREFIX = $(shell ../../../bin$(R_ARCH)/Rscript ../fixed/rwver.R)
LIBFILES = $(foreach i, $(R_PKGS_BASE) $(R_PKGS_RECOMMENDED) translations $(EXTRA_PKGS), $(R_HOME)/library/$i)

INFO_FILES = COPYING README
DOC_INFO_FILES = AUTHORS COPYING FAQ RESOURCES THANKS CHANGES \
  NEWS NEWS.0 NEWS.1 NEWS.2 
GW_INFO_FILES = COPYRIGHTS README.Rterm ../../doc/manual/rw-FAQ

ETC_FILES = Rprofile.site Rconsole Rdevga rgb.txt repositories Rcmd_environ


# we don't want share/{Makefile.in,java,sh} installed
SHARE_DIRS = R dictionaries encodings licenses make Rd texmf zoneinfo

all: $(RPREFIX)-win.exe
msi: $(RPREFIX)-$(SUFF).msi

imagedir:
	$(RM) -R $(RPREFIX)
	$(MKDIR) $(RPREFIX)
	$(CP) -pR $(R_HOME)/bin $(R_HOME)/modules $(RPREFIX)
# copy base and recommended packages
	$(MKDIR) -p $(RPREFIX)/library
	$(CP) -pR $(LIBFILES) $(RPREFIX)/library
	$(RM) $(RPREFIX)/library/*/MD5
	$(RM) $(RPREFIX)/*/Makefile.in
	$(MKDIR) -p $(RPREFIX)/etc$(R_ARCH)
	$(CP) -p $(foreach i,$(ETC_FILES),$(R_HOME)/etc/$i) $(RPREFIX)/etc
	if test -f "$(R_HOME)/etc/curl-ca-bundle.crt"; then \
	  $(CP) -p "$(R_HOME)/etc/curl-ca-bundle.crt" $(RPREFIX)/etc; \
	fi
	$(CP) -p $(R_HOME)/etc$(R_ARCH)/Makeconf $(RPREFIX)/etc$(R_ARCH)
# copy info and documentation files
	$(MKDIR) -p $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/CRAN_mirrors.csv $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/BioC_mirrors.csv $(RPREFIX)/doc
	$(MKDIR) -p $(RPREFIX)/doc/manual/images
	$(CP) -pR $(R_HOME)/doc/html $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/manual/*.html $(R_HOME)/doc/manual/*.pdf \
	  $(RPREFIX)/doc/manual
	$(CP) -p $(R_HOME)/doc/manual/images/*.png $(RPREFIX)/doc/manual/images
#	html copies of these are in doc/manual, and we don't have FAQ PDF on menus
	$(RM) $(RPREFIX)/doc/manual/R-FAQ.pdf
	$(RM) $(RPREFIX)/doc/html/R-admin.html 
	$(RM) $(RPREFIX)/doc/html/index-default.html
#
	$(CP) -p $(foreach i,$(INFO_FILES),$(R_HOME)/$i) $(RPREFIX)
	$(CP) -p $(foreach i,$(DOC_INFO_FILES),$(R_HOME)/doc/$i) $(RPREFIX)/doc
	$(CP) -p $(foreach i,$(GW_INFO_FILES),../$i) $(RPREFIX)/doc
	$(CP) -p $(RPREFIX)/doc/CHANGES $(RPREFIX)
	$(SED) -e s/@RWVER@/$(RPREFIX)/g \
	  -e s/@RVER@/$(RVER)/g \
	  -e "s/@FULLVERSION@/$(FULLVERSION)/g" ../README > $(RPREFIX)/README.$(RPREFIX)
	$(SED) -e 3,5d ../README.packages > $(RPREFIX)/doc/README.packages
# convert docs and batch files to CRLF: might already be on Windows, though.
	zip -q dosfiles.zip $(RPREFIX)/* $(RPREFIX)/doc/*
	unzip -qao dosfiles.zip
	$(RM) dosfiles.zip
	$(CP) -p $(R_HOME)/doc/NEWS.pdf $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/NEWS.rds $(R_HOME)/doc/CHANGES.rds $(RPREFIX)/doc
#
# files to make source packages
	$(MKDIR) -p $(RPREFIX)/share \
	  $(RPREFIX)/src/library $(RPREFIX)/src/gnuwin32
	$(CP) $(R_HOME)/doc/html/logo.jpg $(RPREFIX)/doc/html
	$(CP) $(R_HOME)/doc/KEYWORDS* $(RPREFIX)/doc
	$(CP) -pR $(R_HOME)/include $(RPREFIX)
	$(CP) -pR $(foreach i,$(SHARE_DIRS),$(R_HOME)/share/$i) $(RPREFIX)/share
# This is odd -- better to clean the copy
	(cd ..; $(MAKE) --no-print-directory PKGDIR=. pkgclean-windlgs)
	$(CP) -pR ../windlgs $(RPREFIX)/src/library
#
# test dir
	mkdir $(RPREFIX)/tests
	$(MAKE) --no-print-directory -C ../../../tests -f Makefile.win \
	  INST_TO=../src/gnuwin32/installer/$(RPREFIX)/tests install-tests
#
	$(FIND) $(RPREFIX) -name .svn -prune -exec rm -rf \{\} \;
	$(FIND) $(RPREFIX) -name \*~ -delete

md5sums:
	@echo "adding MD5 checksums"
	@(cd $(RPREFIX); echo "tools:::.installMD5sums(\".\")" | \
	  R_DEFAULT_PACKAGES=NULL LC_COLLATE=C R_OSTYPE=windows \
	  ../../../../$(BINDIR)/Rterm.exe --vanilla --slave)

PDF_FILES = $(wildcard $(RPREFIX)/library/*/doc/*.pdf)

fixups:
	echo "make.packages.html(.Library,temp=FALSE,verbose=FALSE)" | $(RPREFIX)/$(BINDIR)/Rterm.exe --vanilla --slave LC_COLLATE=C
	$(CP) -pRf $(R_HOME)/Tcl $(RPREFIX)
	$(RM) $(RPREFIX)/Tcl*/lib/*.lib
ifneq ($(strip $(QPDF)),)
	@for f in $(PDF_FILES); do \
	  $(QPDF)/bin/qpdf --stream-data=compress $${f} tmp.pdf; \
	  mv tmp.pdf $${f}; \
	done
endif

32bit:
ifeq "$(WIN)" "64"
ifneq ($(strip $(HOME32)),)
	@echo "------------ including 32-bit files"
	(cd "$(HOME32)"; zip -qr9X 32bit */i386 library/*/libs/i386 bin/R.exe bin/Rscript.exe)
	unzip -qo "$(HOME32)/32bit" -d $(RPREFIX)
	rm "$(HOME32)/32bit.zip"
	mkdir -p $(RPREFIX)/Tcl
	$(CP) -pRf "$(HOME32)/Tcl/bin" "$(HOME32)/Tcl/lib" $(RPREFIX)/Tcl
	for f in $(R_PKGS_RECOMMENDED); do \
	   sed -e 's/Archs: x64/Archs: i386, x64/' \
             ../../../library/$${f}/DESCRIPTION \
             > $(RPREFIX)/library/$${f}/DESCRIPTION; \
	done
else
	@echo "------------ not including 32-bit files"
endif
endif

extras:
	for f in $(DLLs32); do \
	  cp "$$f" $(RPREFIX)/bin/i386; \
	done
	for f in $(DLLs64); do \
	  cp "$$f" $(RPREFIX)/bin/x64; \
	done

## for Inno Setup installer

R.iss: JRins.R header1.iss types3264.iss types32.iss code.iss \
   CustomMsg.iss imagedir fixups 32bit extras md5sums \
  ../../../VERSION ../../../SVN-REVISION
	../../../bin$(R_ARCH)/Rscript JRins.R \
	  $(RPREFIX) $(RPREFIX) $(MDISDI) \
	  $(HelpStyle) $(Producer) "$(ISDIR)"

$(RPREFIX)-win.exe: R.iss
	"$(ISDIR)/iscc" R.iss > $(RPREFIX).log 2>&1


## for MSI installer

uuidgen.exe: uuidgen.o
	$(CC) -o $@ $< -lole32

# currently use about 3500: allow for EXTRA_PKGS
uuids: uuidgen.exe
	./uuidgen 10000 > $@

files.wxs: imagedir fixups 32bit extras md5sums
	"$(WIX3DIR)/heat" dir $(RPREFIX) -sw5150 -nologo -o $@

R.wxs: WIXins.R uuids files.wxs
	../../../bin$(R_ARCH)/Rscript WIXins.R $(RPREFIX) $(RPREFIX) $(WIX_PERSONAL) || (rm -f $@;exit 1)

$(RPREFIX)-$(SUFF).msi: R.wxs License.rtf
	"$(WIX3DIR)/candle" R.wxs > $(RPREFIX).log 2>&1
	"$(WIX3DIR)/light" -out $@ R.wixobj -dcl:high \
	 -ext WixUIExtension -sw1076 -sval -spdb >> $(RPREFIX).log 2>&1


## too often this fails to empty directories.
clean:
	rm -rf R.iss *.log R.wxs files.wxs R.wixobj uuidgen.o uuidgen.exe uuids
	-rm -rf $(RPREFIX)

distclean: clean
	rm -f R*-win*.exe R*-win*.msi

myR:
	echo "make.packages.html(.Library, verbose=FALSE)" | "$(IMAGEDIR)/$(BINDIR)/Rterm.exe" --vanilla --slave LC_COLLATE=C
	@echo "adding MD5 checksums"
	@(cd "$(IMAGEDIR)"; echo "tools:::.installMD5sums(\".\")" | \
	  R_DEFAULT_PACKAGES=NULL LC_COLLATE=C R_OSTYPE=windows \
	  "$(IMAGEDIR)/$(BINDIR)/Rterm.exe" --vanilla --slave)
	../../../bin$(R_ARCH)/Rscript JRins.R \
	  $(RPREFIX) "$(IMAGEDIR)" $(MDISDI) \
	  $(HelpStyle) $(Producer) "$(ISDIR)"
	"$(ISDIR)/iscc" R.iss > myR.log

=== tests/Pkgs/pkgA/DESCRIPTION ===
Package: pkgA
Title: Simple Package with NameSpace and S4 Methods and Classes
Version: 1.2
Date: 2015-02-05
Type: Package
Depends: methods
Imports: Matrix
LazyData: true
Author: Yohan Chalabi and R-core
Maintainer: R Core <R-core@almost.r-project.org>
Description: Example package with a namespace, and S4 method for "plot".
 used for regression testing the correct working of tools::codoc(), undoc()
 etc, but also S4 in connection with other packages.
License: GPL (>= 2)

## r-base 3.4.2

=== debian/changelog ===
r-base (3.4.2-2xenial2) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.3 LTS
  * debian/control Changed dependency to generic tcl-dev and tk-dev
  * Revert provides to r-api-3
  * debian/control: Use default-jdk

 -- Michael Rutter <marutter@gmail.com>  Sat, 28 Oct 2017 17:47:01 +0000

r-base (3.4.2-2) unstable; urgency=medium

  * debian/control: Use openjdk-9-jdk in Build-Depends as we generally
    cannot run 'R CMD javareconf' in a pbuilder, and need Java 9
  * debian/control: Two 'Priority: extra' are now 'optional' [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Oct 2017 06:54:13 -0500

r-base (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Sep 2017 05:13:49 -0500

r-base (3.4.1.20170921-1) unstable; urgency=medium

  * Initial rc build (r73337) of R 3.4.2 expected for Sep 28

  * debian/control: Package r-base-core now 'Provides: r-api-3.4' per the
    Debian Release team. I still consider this to be wrong (as there was
    no API change) but my hands are tied here.

  * debian/compat: Increased to 9
  * debian/control: Set Standards-Version: to current version 

  * debian/README.source: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Sep 2017 11:49:56 -0500

r-base (3.4.1-2) unstable; urgency=medium

  * etc/Renviron.in: No longer unset R_LIBS_USER	(Closes: #866768)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 Jul 2017 13:05:03 -0500

r-base (3.4.1-1) unstable; urgency=medium

  * New upstream release

  * debian/source/format: Set to '3.0 (quilt)'
 
  * etc/Renviron.in: Patched to not set R_LIBS_USER by default
  * debian/Renviron.site: Mention possible R_LIBS_USER setting here
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jun 2017 03:46:12 -0500

r-base (3.4.0.20170622-1) unstable; urgency=medium

  * Initial beta build (r72852) of R 3.4.1 expected for June 30

  * debian/source/format: Set to '3.0 (quilt)'
 
  * etc/Renviron.in: Patched to not set R_LIBS_USER by default
  * debian/Renviron.site: Mention possible R_LIBS_USER setting here
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jun 2017 16:04:14 -0500

r-base (3.4.0-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Apr 2017 05:03:24 -0500

r-base (3.3.3.20170413-1) unstable; urgency=medium

  * Initial rc build (r72510) of R 3.4.0 expected for April 21

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Apr 2017 22:43:25 -0500

r-base (3.3.3.20170406-1) experimental; urgency=medium

  * Initial beta build (r72492) of R 3.4.0 expected for April 21

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Apr 2017 21:03:42 -0500

r-base (3.3.3-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Mar 2017 05:06:20 -0600

r-base (3.3.2.20170227-1) unstable; urgency=medium

  * Initial rc build (r72279) of R 3.3.3 expected for March 6

  * debian/control: Package r-base-dev now Depends: on pkg-config

  * debian/r-cran.mk: xvfb-run now turns on GL extensions 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Feb 2017 20:01:43 -0600

r-base (3.3.2-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Oct 2016 06:04:25 -0500

r-base (3.3.1.20161024-1) unstable; urgency=medium

  * Initial rc build (r71578) of R 3.3.2 expected for October 31

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Oct 2016 20:59:54 -0500

r-base (3.3.1.20161020-1) unstable; urgency=medium

  * Initial beta build (r71547) of R 3.3.2 expected for October 31

  * debian/rules: Tweaks to configure-stamp dependency (cf #812544)

  * debian/r-base-core.maintscript: Move bash-completion config file from
    old location, if still present			(Closes: #840506)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Oct 2016 21:51:13 -0500

r-base (3.3.1-2) unstable; urgency=medium

  * Rebuilding under gcc-6

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Aug 2016 12:23:55 -0500

r-base (3.3.1-1.xenial.0) xenial; urgency=medium

  * PPA build for Ubuntu 16.04 ("xenial")

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jun 2016 10:46:47 -0500

r-base (3.3.1-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jun 2016 05:16:41 -0500

r-base (3.3.0.20160615-1) unstable; urgency=medium

  * Initial rc build (r70789) of R 3.3.1 expected for June 23
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Jun 2016 20:04:57 -0500

r-base (3.3.0-2) unstable; urgency=medium

  * debian/control: Add libicu-dev to Depends: for r-base-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 May 2016 07:35:03 -0500

r-base (3.3.0-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2016 06:05:36 -0500

r-base (3.2.5.20160429-1) unstable; urgency=medium

  * Second rc build (r70561) of R 3.3.0 expected for May 03

  * debian/control: Remove remaining use of gcc-4.9 on mips	(Closes: #818781)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Apr 2016 06:22:06 -0500

r-base (3.2.5.20160428-1) unstable; urgency=low

  * Initial rc build (r70556) of R 3.3.0 expected for May 03

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Apr 2016 06:42:20 -0500

r-base (3.2.5-1) unstable; urgency=low

  * New upstream release made today (as the version scheme in
    3.2.4-revised created issues for some systems)
    
  * debian/updated_x11_logo.patch: Applied again to src/modules/X11/ files
    devX11.c and rlogo_icon.h to provide the new R logo

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Apr 2016 11:58:11 -0500

r-base (3.2.4.20160412-1) unstable; urgency=low

  * Fourth beta build (r70470) of R 3.3.0 expected for May 03
  


=== debian/control ===
Source: r-base
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.0.0
Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl-dev, tk-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
Homepage: http://www.r-project.org/

Package: r-base
Architecture: all
Depends: ${misc:Depends}, r-base-core (>= ${source:Version}), r-recommended (= ${source:Version})
Recommends: r-base-html, r-doc-html
Suggests: ess, r-doc-info | r-doc-pdf  
Description: GNU R statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package is a metapackage which eases the transition from the 
 pre-1.5.0 package setup with its larger r-base package. Once installed, it 
 can be safely removed and apt-get will automatically upgrade its components
 during future upgrades.  Providing this package gives a way to users to 
 then only install r-base-core if they so desire.

Package: r-base-core
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, zip, unzip, libpaper-utils, xdg-utils, ${shlibs:Depends}, ucf (>= 3.0), ca-certificates
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0), r-gnome (<= 2.3.1), r-cran-rcompgen (<= 0.1-17-1), r-base-latex (<= 2.9.2-4)
Provides:  r-gnome, r-cran-rcompgen, r-base-latex, r-api-3
Conflicts:  r-gnome, r-cran-rcompgen, r-base-latex
Recommends: r-recommended, r-base-dev, r-doc-html
Suggests: ess, r-doc-info | r-doc-pdf, r-mathlib, r-base-html
Description: GNU R core of statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available
 from CRAN, the Comprehensive R Archive Network, many also as Debian
 packages, named 'r-cran-<name>'.
 .
 This package provides the core GNU R system from which only the optional
 documentation packages r-base-html, r-doc-html, r-doc-pdf and r-doc-info 
 have been split off to somewhat reduce the size of this package. 

Package: r-base-dev
Architecture: all
Depends: ${misc:Depends}, r-base-core (>= ${source:Version}), build-essential, gcc, g++, gfortran, libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev, libncurses5-dev, libreadline-dev, libjpeg-dev, libpcre3-dev, libpng-dev, zlib1g-dev, libbz2-dev, liblzma-dev, libicu-dev, cdbs, xauth, pkg-config
Suggests: debhelper, texlive-base, texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, texinfo
Description: GNU R installation of auxiliary GNU R packages 
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package ensures that other Debian packages needed for installation of
 some auxiliary R packages are installed.

Package: r-mathlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: r-base-core (= ${binary:Version}), r-base-dev (= ${binary:Version})
Description: GNU R standalone mathematics library
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package provides the libRmath shared and static libraries which can
 be called from standalone C or C++ code.

Package: r-base-html
Architecture: all
Priority: optional
Section: doc
Depends: ${misc:Depends}, r-base-core
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0)
Suggests: r-doc-html, mozilla | www-browser
Description: GNU R html docs for statistical computing system functions
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package provides html documentation suitable for browsing with a 
 web-browser for the libraries included in the r-base package. It is not 
 a required package as the same documentation is already included for 
 on-line browsing. 

Package: r-doc-pdf
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: r-base-core, xdg-utils | pdf-viewer
Description: GNU R pdf manuals for statistical computing system
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.

## r-base 3.4.3

=== debian/changelog ===
r-base (3.4.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 09 Feb 2018 12:26:31 -0800

r-base (3.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Nov 2017 06:19:52 -0600

r-base (3.4.2.20171123-1) unstable; urgency=medium

  * Initial rc build (r73776) of R 3.4.3 expected for November 30

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Nov 2017 10:11:54 -0600

r-base (3.4.2.20171120-1) unstable; urgency=medium

  * Initial beta build (r73753) of R 3.4.3 expected for November 30

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Nov 2017 08:09:27 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: r-base
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl-dev, tk-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Standards-Version: 4.1.1
+Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl8.6-dev, tk8.6-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, openjdk-9-jdk | default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
 Homepage: http://www.r-project.org/
 
 Package: r-base
@@ -47,7 +49,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, zip, unzip, libpaper-utils, xdg-utils, ${shlibs:Depends}, ucf (>= 3.0), ca-certificates
 Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0), r-gnome (<= 2.3.1), r-cran-rcompgen (<= 0.1-17-1), r-base-latex (<= 2.9.2-4)
-Provides:  r-gnome, r-cran-rcompgen, r-base-latex, r-api-3
+Provides:  r-gnome, r-cran-rcompgen, r-base-latex, r-api-3.4
 Conflicts:  r-gnome, r-cran-rcompgen, r-base-latex
 Recommends: r-recommended, r-base-dev, r-doc-html
 Suggests: ess, r-doc-info | r-doc-pdf, r-mathlib, r-base-html
@@ -212,6 +214,3 @@
  a flexible graphical environment for creating various kinds of data 
  presentations. 
  .
- Additionally, several thousand extension "packages" are available from 
- CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
- named 'r-cran-<name>'.
